(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./OpacityAnimation", "../../ValueWithRandom"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Opacity = void 0;
    const OpacityAnimation_1 = require("./OpacityAnimation");
    const ValueWithRandom_1 = require("../../ValueWithRandom");
    class Opacity extends ValueWithRandom_1.ValueWithRandom {
        constructor() {
            super();
            this.animation = new OpacityAnimation_1.OpacityAnimation();
            this.random.minimumValue = 0.1;
            this.value = 1;
        }
        load(data) {
            if (!data) {
                return;
            }
            super.load(data);
            const animation = data.animation;
            if (animation !== undefined) {
                this.animation.load(animation);
            }
        }
    }
    exports.Opacity = Opacity;
});
