(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../../../Utils/Utils"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Shape = void 0;
    const Utils_1 = require("../../../../Utils/Utils");
    class Shape {
        constructor() {
            this.close = true;
            this.fill = true;
            this.options = {};
            this.type = "circle";
        }
        load(data) {
            if (!data) {
                return;
            }
            const options = data.options;
            if (options !== undefined) {
                for (const shape in options) {
                    const item = options[shape];
                    if (item) {
                        this.options[shape] = (0, Utils_1.deepExtend)(this.options[shape] ?? {}, item);
                    }
                }
            }
            if (data.close !== undefined) {
                this.close = data.close;
            }
            if (data.fill !== undefined) {
                this.fill = data.fill;
            }
            if (data.type !== undefined) {
                this.type = data.type;
            }
        }
    }
    exports.Shape = Shape;
});
