(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./SizeAnimation", "../../ValueWithRandom"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Size = void 0;
    const SizeAnimation_1 = require("./SizeAnimation");
    const ValueWithRandom_1 = require("../../ValueWithRandom");
    class Size extends ValueWithRandom_1.ValueWithRandom {
        constructor() {
            super();
            this.animation = new SizeAnimation_1.SizeAnimation();
            this.random.minimumValue = 1;
            this.value = 3;
        }
        load(data) {
            super.load(data);
            if (!data) {
                return;
            }
            const animation = data.animation;
            if (animation !== undefined) {
                this.animation.load(animation);
            }
        }
    }
    exports.Size = Size;
});
